package com.example.demo;

import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import java.util.*;
import java.util.function.Consumer;


public abstract class People<PersonType extends Person> implements Iterable<PersonType>{
    List<PersonType> personList;

    public People(){
        personList = new ArrayList<>();
    }

    public People(PersonType ...args){
      personList = new ArrayList<>(Arrays.asList(args));
    }

    public void add(PersonType person) {
        personList.add(person);
    }

    public void remove(PersonType person) {
        personList.remove(person);
    }

    public int size(){
        return this.size();
    }

    public void clear(){
        this.personList.clear();
    }

    public void addAll(Iterable<? extends PersonType> persons){
        this.addAll(persons);
    }

    public PersonType findById(long id) {

        for(PersonType p : personList){

            if(p.getId() == id)
                return p;
        }
        return null;
    }

    public List<PersonType> findAll() {
        return this.personList;
    }


    @Override
    public Iterator<PersonType> iterator() {
        return personList.iterator();
    }

    @Override
    public void forEach(Consumer<? super PersonType> action) {
    }

    @Override
    public Spliterator<PersonType> spliterator() {
        return Spliterators.spliteratorUnknownSize(iterator(), 0);
    }
}
