package com.example.demo;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

public class InstructorTest {

    Instructor instructor;

    @Before
    public void setup(){
        instructor = new Instructor(20L, "Leon");
    }

    @Test
    public void testTeach(){
        Learner student = new Student(30L, "kay");
        int expected = 5;
        instructor.teach(student, 5);
        double actual = ((Student) student).getTotalStudyTime();
        Assert.assertEquals(expected, actual, 0.1);
    }

    @Test
    public void testLecture() {
        int expected = 2;
        List<Student> list = new ArrayList<>();
        Student student1 = new Student(30L, "kay");
        Student student2 = new Student(20L, "ray");
        Student student3 = new Student(10L, "bay");

        list.add(student1);
        list.add(student2);
        list.add(student3);
        Iterable<Student> iterable = list;

        instructor.lecture(iterable, 6);
        double actual = student1.getTotalStudyTime();
        Assert.assertEquals(expected, actual, 0.1);
    }
}
