package com.example.demo;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class TestClassroomConfig {

    Students currStudents, prevStudents;
    Classroom currentCohort, prevCohort;
    Instructors instructors;
    //Students students;

    @Autowired
    ClassroomConfig classroomConfig;

    @Before
    public void setup(){
        prevStudents = new Students(new Student(1L, "amar"),
                                    new Student(2L, "Bhim"));
        currStudents = new Students(new Student(3L, "ram"),
                                    new Student(4L, "sam"));

        instructors = new Instructors(new Instructor(30L, "john"), new Instructor(32L, "leon"));
        currentCohort = classroomConfig.currentCohort(instructors, currStudents);
        prevCohort = classroomConfig.previousCohort(instructors, prevStudents);
    }

    @Test
    public void testCurrentCohort(){
        Assert.assertEquals(currentCohort, classroomConfig.currentCohort(instructors, currStudents));
        Assert.assertNotEquals(currentCohort, prevCohort);
    }

    @Test
    public void testPrevCohort(){
        Assert.assertEquals(prevCohort, classroomConfig.previousCohort(instructors, prevStudents));
        Assert.assertNotEquals(prevCohort, currentCohort);
    }
}
