package com.example.demo;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class TestInstructorConfig {

    Instructors usInstructors, ukInstructors, zipCodeInstructors;

    @Autowired
    InstructorsConfig instructorsConfig;

    @Before
    public void setup(){
        usInstructors = instructorsConfig.tcUsaInstructors();
        ukInstructors = instructorsConfig.tcUKInstructors();
        zipCodeInstructors = instructorsConfig.zipCodeInstructors();
    }

    @Test
    public void testTcUsaInstructors(){
        Assert.assertEquals(usInstructors, instructorsConfig.tcUsaInstructors());
        Assert.assertNotEquals(usInstructors, instructorsConfig.tcUKInstructors());
    }

    @Test
    public void testTcUKInstructors(){
        Assert.assertEquals(ukInstructors, instructorsConfig.tcUKInstructors());
        Assert.assertNotEquals(ukInstructors, instructorsConfig.tcUsaInstructors());
    }

    @Test
    public void testZipcodeInstructors(){
        Assert.assertEquals(zipCodeInstructors, instructorsConfig.zipCodeInstructors());
        Assert.assertNotEquals(zipCodeInstructors, instructorsConfig.tcUsaInstructors());
    }
}
