package com.example.demo;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class TestStudentConfig {

    Students currentStudents;
    Students prevStudents;

    @Autowired
    StudentConfig studentConfig;

    @Before
    public void setup(){
        currentStudents = studentConfig.currentStudents();
        prevStudents = studentConfig.previousStudents();
    }

    @Test
    public void testCurrentStudents(){
        Assert.assertEquals(currentStudents, studentConfig.currentStudents());
        Assert.assertNotEquals(currentStudents, studentConfig.previousStudents());
    }

    @Test
    public void testPreviousStudents(){
        Assert.assertEquals(prevStudents, studentConfig.previousStudents());
        Assert.assertNotEquals(prevStudents, studentConfig.currentStudents());
    }
}
